Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet
Class CssPropertyPeerLoader

    java.lang.Object
      echopointng.stylesheet.CssPropertyPeerLoader

    public class CssPropertyPeerLoader

extends java.lang.Object

`CssPropertyPeerLoader` finds and caches appropriate `CssPropertyPeer` instances for a given property class. This allows String values to be converted into Java object instances and vice versa.

See Also:
  `CssPropertyPeer`

Method Summary
`static CssPropertyPeerLoader` | `forClassLoader(java.lang.ClassLoader classLoader)` Creates or retrieves a `CssPropertyPeerLoader`.
`java.lang.Object` | `getObject(java.lang.ClassLoader classLoader, java.lang.Class componentClass, java.lang.Class propertyClass, java.lang.String propertyValue, int lineNo)` Retrieves a Java object value from an CSS property string.
`CssPropertyPeer` | `getPropertyPeer(java.lang.Class propertyClass)` Returns the `CssPropertyPeer` for the given property class.
`java.lang.String` | `getString(java.lang.ClassLoader classLoader, java.lang.Class componentClass, java.lang.Class propertyClass, java.lang.Object propertyValue)` Retrieves a CSS property value string for a given Java object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forClassLoader

    public static CssPropertyPeerLoader forClassLoader(java.lang.ClassLoader classLoader)

  Creates or retrieves a `CssPropertyPeerLoader`.

  Parameters:
    `classLoader` - the `ClassLoader` to use for dynamically loading property classes
  Returns:
    the `CssPropertyPeerLoader`

### getObject

    public java.lang.Object getObject(java.lang.ClassLoader classLoader,
                                      java.lang.Class componentClass,
                                      java.lang.Class propertyClass,
                                      java.lang.String propertyValue,
                                      int lineNo)
                               throws CssInvalidValueException

  Retrieves a Java object value from an CSS property string.

  Parameters:
    `classLoader` - - the class loader in use
    `componentClass` - - the object containing the property
    `propertyClass` - - the class of the property
    `propertyValue` - - the property value to analyze
  Returns:
    the property value
  Throws:
    `InvalidPropertyException`
    `CssInvalidValueException`

### getString

    public java.lang.String getString(java.lang.ClassLoader classLoader,
                                      java.lang.Class componentClass,
                                      java.lang.Class propertyClass,
                                      java.lang.Object propertyValue)
                               throws CssInvalidValueException

  Retrieves a CSS property value string for a given Java object

  Parameters:
    `classLoader` - - the class loader in use
    `componentClass` - the object containing the property
    `propertyClass` - - the class of the property
    `propertyValue` - - the property object value to analyze
  Returns:
    the property value as a string
  Throws:
    `InvalidPropertyException`
    `CssInvalidValueException`

### getPropertyPeer

    public CssPropertyPeer getPropertyPeer(java.lang.Class propertyClass)

  Returns the `CssPropertyPeer` for the given property class.

  Parameters:
    `propertyClass` - the property class
  Returns:
    the XML parsing peer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD